#!/usr/bin/env bash

set -e

# Install TeamSpeak 3

shopt -s dotglob
[[ "${DEBUG:-}" == 'true' ]] && set -x

main ()
{
    if [[ $EUID -ne 0 ]]; then
       echo "Please run script as root" >> /dev/stderr
       exit 1
    fi

    if [[ ! -f ./teamspeak_run.sh ]]; then
        curl -O http://files.gameap.ru/teamspeak3/teamspeak-runner.tar.gz
        tar -xvf teamspeak-runner.tar.gz
    fi

    ./teamspeak_run.sh install
}

main
